QGIS Application - Feature request #4014
Raster histogram drawing effectively freezes Ul for large images
2011-06-23 04:44 AM - Donkagen? -

Status: Closed

Priority: Normal

Assignee: Tim Sutton

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 14001
Description

If someone selects the histogram tab (intentionally or by error) with a very large image, they are stuck with waiting a long time while the
graph is generated.

For novice users this can be confusing and, for anyone clicking the tab in error, frustrating as there is no way to abort a process that could
take several minutes.

If the calculation was started by a specific button click (e.g. Calculate), the frustration would be avoided.

History

#1 - 2011-08-10 04:25 PM - Nathan Woodrow
- Assignee set to Tim Sutton

- Target version set to Version 1.7.1

- Pull Request or Patch supplied set to No

| agree this can be very frustrating. Clicking it on a 5GB ecw | have freezes QGIS and you have no idea how long it will take.
Suggestion to improve experience:
- Thread the collection of info from the raster.
- Only load histogram on demand with a button. Even with demand loading it should still be threaded, no need to make the user wait.
- Show progress bar with current info collection status.

#2-2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2015-11-10 04:48 AM - Médéric RIBREUX

Hello, bug triage...
There is now a "Compute Histogram" button on the Histogram tab of raster layer properties. The initial request seems to be fully implemented even if the

computation is not threaded and that there is no progress bar as suggested by Nathan.

Feel free to reopen the feature request if the above suggestions need to be kept.

#8 - 2015-11-10 04:50 AM - Médéric RIBREUX
- Resolution set to fixed/implemented
- Status changed from Open to Closed
